//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------

const TEXT_SPACE = 15;
const ICON_SPACE = 35;
const MENU_TEXT_HEIGHT = 18;
const SPACE_BETWEEN_MENUS = 1;
const MENU_TEXT_LEFT = 2;
const MENU_ITEM_OFFSET = 19;

class TForm1 : public TForm
{
__published:	// IDE-managed Components
   TPopupMenu *PopupMenu1;
   TMenuItem *Exapmole11;
   TMenuItem *Example21;
   TMenuItem *Example31;
   TMenuItem *Example41;
   TMenuItem *Example51;
   TImageList *ImageList1;
   TMenuItem *Example61;
   TMenuItem *Example71;
   TMenuItem *Example81;
   TMenuItem *Example91;
   TMenuItem *Example101;
   TLabel *Label1;
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
   void __fastcall PopupMenu1Popup(TObject *Sender);
private:	// User declarations
   void __fastcall ExpandMenuItemWidth(TObject *Sender, TCanvas *ACanvas,
      int &Width, int &Height);

   void __fastcall DrawNewItem(TObject *Sender, TCanvas *ACanvas,
      const TRect &ARect, bool Selected);

   void CreateVerticalFont();

   TLogFont VerticalFont;
   TIcon *Icon;

   TFont *OldFont;

   TRect VerticalDrawingRect,
         TempRect;

   AnsiString VerticalText;

   int MenuHeight,
       VerticalBarLength;

   long int CheckmarkSize,
            OldForegroundColor,
            OldBackgroundColor;
   bool VerticalBarDrawn;
public:		// User declarations
   __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
